Bug 893092 - [abrt] libreoffice-core-3.6.3.2-8.fc18: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.3.2-8.fc18: Process /usr/lib64/libreoffice/progra...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephan Bergmann
Fedora Extras Quality Assurance
abrt_hash:bc05a6d109b4da8912e5af0b476...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-08 09:56 EST by Bart Ratgers
Modified: 2013-01-10 05:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-10 05:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (48.37 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: cgroup (127 bytes, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: core_backtrace (4.54 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: dso_list (27.52 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: environ (1.83 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: maps (125.95 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: open_fds (2.90 KB, text/plain)
2013-01-08 09:56 EST, Bart Ratgers
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-01-08 09:57 EST, Bart Ratgers
no flags Details
File: var_log_messages (347 bytes, text/plain)
2013-01-08 09:57 EST, Bart Ratgers
no flags Details

  None (edit)
Description Bart Ratgers 2013-01-08 09:56:36 EST
Description of problem:
After doing a copy of a image, pressing several times Ctrl-Z to go back. After that Impres crashed.

Version-Release number of selected component:
libreoffice-core-3.6.3.2-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress '/home/bart/Dropbox/TOGAF Certified/ITMG 201211/TOGAF Practitioner - Preliminary.odp' --splash-pipe=6
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.6.11-3.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 SdPage::SetPresentationLayout at /usr/src/debug/libreoffice-3.6.3.2/sd/source/core/sdpage2.cxx:160
 #2 sd::View::InsertData at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/view/sdview3.cxx:653
 #3 sd::View::DoPaste at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/view/sdview2.cxx:378
 #4 sd::DrawViewShell::FuSupport at /usr/src/debug/libreoffice-3.6.3.2/sd/source/ui/view/drviewse.cxx:821
 #5 CallExec at /usr/src/debug/libreoffice-3.6.3.2/sfx2/inc/sfx2/shell.hxx:199
 #6 SfxDispatcher::Call_Impl at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/dispatch.cxx:260
 #7 SfxBindings::Execute_Impl at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/bindings.cxx:1287
 #8 SfxDispatchController_Impl::dispatch at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:748
 #9 SfxOfficeDispatch::dispatch at /usr/src/debug/libreoffice-3.6.3.2/sfx2/source/control/unoctitm.cxx:377
Comment 1 Bart Ratgers 2013-01-08 09:56:41 EST
Created attachment 674877 [details]
File: backtrace
Comment 2 Bart Ratgers 2013-01-08 09:56:43 EST
Created attachment 674878 [details]
File: cgroup
Comment 3 Bart Ratgers 2013-01-08 09:56:45 EST
Created attachment 674879 [details]
File: core_backtrace
Comment 4 Bart Ratgers 2013-01-08 09:56:47 EST
Created attachment 674880 [details]
File: dso_list
Comment 5 Bart Ratgers 2013-01-08 09:56:49 EST
Created attachment 674881 [details]
File: environ
Comment 6 Bart Ratgers 2013-01-08 09:56:52 EST
Created attachment 674882 [details]
File: limits
Comment 7 Bart Ratgers 2013-01-08 09:56:55 EST
Created attachment 674883 [details]
File: maps
Comment 8 Bart Ratgers 2013-01-08 09:56:58 EST
Created attachment 674884 [details]
File: open_fds
Comment 9 Bart Ratgers 2013-01-08 09:57:00 EST
Created attachment 674885 [details]
File: proc_pid_status
Comment 10 Bart Ratgers 2013-01-08 09:57:03 EST
Created attachment 674886 [details]
File: var_log_messages
Comment 11 Caolan McNamara 2013-01-09 11:31:16 EST
caolanm->sberg: can you see if this is reproducible.
Comment 12 Stephan Bergmann 2013-01-10 05:05:07 EST
(In reply to comment #11)
> caolanm->sberg: can you see if this is reproducible.

Unfortunately not.  Feel free to reopen when you find a scenario that reliably reproduces the crash.

Note You need to log in before you can comment on or make changes to this bug.